/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.thread;

import com.sun.jini.debug.Debug;

/**
 * This is a package-accessible class for turning on debug output in
 * the util classes.  The property name is for the debug property is
 * <code>com.sun.jini.thread.debug</code>.
 *
 * @see Debug
 */
class ThreadDebug {
    /**
     * The <code>Debug</code> object for
     * <code>com.sun.jini.thread.debug</code>.
     */
    static final Debug debug = new Debug("com.sun.jini.thread.debug");

    /**
     * A shorthand for invoking <code>getWriter</code> on the <code>debug</code>
     * field.
     */
    static java.io.PrintWriter getWriter(String subsystem) {
	return debug.getWriter(subsystem);
    }
}
